Bug 458759 - kernel: dlm: dlm/user.c input validation fixes [rhel-5.2.z]
kernel: dlm: dlm/user.c input validation fixes [rhel-5.2.z]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2.z
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Jiri Pirko
Martin Jenner
: ZStream
Depends On: 458758
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-12 00:23 EDT by Eugene Teo (Security Response)
Modified: 2015-05-04 21:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-04 05:29:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-08-12 00:23:54 EDT
+++ This bug was initially created as a clone of Bug #458758 +++

Description of problem:
a) in device_write(): add sentinel NUL byte, making sure that lspace.name will be NUL-terminated
b) in compat_input() be keep it simple about the amounts of data we are copying.

--- Additional comment from eteo@redhat.com on 2008-08-12 00:19:34 EDT ---

Proposed upstream patch:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=cb79f1998d89821a4dbac47f59a46ee3fbbf3c61

--- Additional comment from eteo@redhat.com on 2008-08-12 00:20:32 EDT ---

Created an attachment (id=314043)
Upstream patch for this issue
Comment 2 Jiri Pirko 2008-10-13 09:52:07 EDT
in kernel-2.6.18-92.1.15.el5

you can download RPMs from http://people.redhat.com/jpirko/.el52z/92.1.15/
Comment 6 errata-xmlrpc 2008-11-04 05:29:26 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0957.html

Note You need to log in before you can comment on or make changes to this bug.